## qt-x11-free 3.3.8b-5-maemo1

=== debian/changelog ===
qt-x11-free (3:3.3.8b-5-maemo1) unstable; urgency=high

  * Initial release for diablo 

 -- tamanegimoyashi <tanimotoi@gmail.com>  Wed, 10 Feb 2010 17:10:24 +0900

qt-x11-free (3:3.3.8b-5) unstable; urgency=medium

  +++ Changes by Modestas Vainius:

  * The previous implemention Of the hack was still incomplete solution for
    restoration of [fl]?stat64 symbols on libqt-mt.so.3 compiled with -O2
    against glibc << 2.7. In such a case, [fl]?stat64 were still inlined and
    not exported. Therefore, the hack implementation was extended to cover the
    latter case as a well and as result it should be fully compatible with
    m68k/unstable and backports.
  * Cleanup README.Debian: remove old information about non-threaded version
    of Qt3 and substitude contacts of previous maintainers with
    Debian Qt/KDE Maintainers (debian-qt-kde@lists.debian.org).
  * Drop 61_fcfontmatch_fontwidth_fix.diff patch. A bit different fix was
    applied upstream.
  * Add 61_eastern_asian_languagues.diff to fix font substitution for Eastern
    Asian languages under other locales (Closes: #468430).
  * Set urgency to medium because this revision fixes 3.3.8 regressions from
    3.3.7 and 3.3.8 has already entered testing.

  +++ Changes by Fathi Boudra:

  * Suggest qt3-apps-dev to qt3-examples. Thanks to Matthew Rosewarne.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 10 Mar 2008 17:10:24 +0200

qt-x11-free (3:3.3.8b-4) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Make 01_export_stat64_symbols.diff hack glibc >=2.7 dependant instead of
    build depending on libc6-dev (>=2.7-1) and its other incarnations. This
    will restore Qt3 backports friendliness. Thanks to Pierre Habouzit for
    this idea.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 21 Feb 2008 12:59:07 +0200

qt-x11-free (3:3.3.8b-3) unstable; urgency=low

  * The "Optimized Qt3" release.

  ++ Changes by Modestas Vainius:

  * Add 00_qmake_debian_compliant_release_target.diff patch to make 'qmake'
    release target debian policy compliant:
      - Use C(XX)FLAGS=-02 -g
      - Prevent qmake from striping binaries. Debian has dh_strip for that.
      - Patch configure script to build qmake itself with 'release'
        configuration too.
  * Build Qt3 using "release" build configuration.
  * Remove 01_stat_extern_inline_hack.diff and use different way of exporting
    [fl]?stat64 symbols because previous way is ineffective with -O2. Add
    01_export_stat64_symbols.diff patch for that.
  * The hack above depends on libc6-dev (>= 2.7-1). Adjust Build-Depends.
  * Add 73_configure_quilt_compat.diff patch to make ./configure script ignore
    "project files" under quilt temporary directory (./.pc/). I think that
    this problem was the cause of FTBFS on alpha & mips since *.pro files
    under .pc had to be `found` last in order for ./configure to succeed.
    Probably, this condition was not met on alpha & mips, but it was met on
    other arches.
  * Add myself to uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 21 Feb 2008 01:13:16 +0200

qt-x11-free (3:3.3.8b-2) unstable; urgency=medium

  * Re-add *stat64 symbols to Qt3 using 01_stat_extern_inline_hack patch:

    * the extern inlines from sys/stat.h are just gone, and that's just normal
      in fact.
    * /usr/lib/libc.so is a linker script that pulls /lib/libc-2.7.so _and_
      /usr/lib/libc_nonshared.a.
    * the latter defines stat64 and friends as weak-symbols and alises to
      __xstat64 and friends.

    That's how when you link something that uses fstat64 it finds the symbol at
    link time, letting you the possibility to override it with your own
    implementation.

    The fact that the extern inlines were used at some point in the past _was_
    a bug, and let qt3 divert those, which should have not happened in the
    first place. Sadly, when you link against qt3, it picks those symbols
    because it will always prefer symbols from a shared lib than from the .a
    IIRC, or it's due to the link order, anyways, it's not relevant.

    Thanks to Pierre Habouzit and Modestas Vainius. (Closes: #465028)

 -- Fathi Boudra <fabo@debian.org>  Sat, 16 Feb 2008 16:02:03 +0100

qt-x11-free (3:3.3.8b-1) unstable; urgency=low

  * New upstream release:
    * This version adds the GNU Public License version 3 as a
      possible choice for licenses to the Open Source releases of Qt 3.
    * It includes the patch for CVE-2007-3388, a potential vulnerability in
      QTextEdit, which might cause remote execution when parsing maliciously
      crafted text from an unknown source.

  * Fix desktop files:
    * Add semicolon at the end of the MimeType key. Thanks to Pino Toscano.
    * Remove deprecated MapNotify key.
  * Bump compat/debhelper to 6.
  * Add myself in Uploaders field.
  * Switch to quilt patch system.
  * Add Homepage, Vcs-Browser and Vcs-Svn fields.
  * Update copyright file. Add the GNU GPL 3 as a possible choice of licenses.
    (Closes: #464613)
  * Update libqt3-mt* links.
  * Update rules: install upstream changelog changes-3.3.8 and changes-3.3.8b.
  * Refresh patches. (Closes: #441580)
  * Remove patches:
    * 30_qtc_arabic_font_fixes.dpatch
    * 49_immodule_inputcontext_fix.dpatch
    * 62_bengali_charfix.dpatch
    * 64_utf8-parsing-vulnerability.dpatch
    * 69_CVE-2007-3388.dpatch
  * Add patches:
    * lubos lunak xinerama patch. It adds _net_wm_full_placement support.
    * xinerama dialog placement fix.
  * Use qt-copy patches original name. Don't use "xx_qtc_patch_name" scheme.
  * Replace deprecated Source-Version by binary:Version.
  * Update menu files to latest Debian menu policy.
  * Install translations files with 644 permissions.

 -- Fathi Boudra <fabo@debian.org>  Fri, 08 Feb 2008 11:01:58 +0100

qt-x11-free (3:3.3.7-9) unstable; urgency=low

  * Trust dpkg-architecture better than uname -m for the build key. Make

